View Issue Details

IDProjectCategoryView StatusLast Update
0000393SOGoBackend Calendarpublic2010-04-07 11:06
ReporterAltrusoft Assigned Towsourdeau 
PrioritynormalSeveritymajorReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version1.1.0 
Target Version1.2.2Fixed in Version1.2.2 
Summary0000393: Invitation problems between sogo-systems
Description

Two systems running both running sogo-1.1.0-1.el5 on CentOS 5.3, we have problems getting display of accept/decline buttons to work.
In addition it seems that the systems have trouble interpreting sent and received notification mails when both inviter and invitee are on different sogo-systems.

Mostly using Thunderbird 2.0.0.23 as client (with all extensions and the inverse lightning 0.97-versions) but we also tried this on the web interface.

One theory we have right now is that user1 on the local system creates the event and invites user2 on the other system, which user2 (at least sometimes) receives an invitation for and tries to accept, but that accept is never reaching user1 on the local system and interpreted as an accept of the sent invitation since our sogod here tries to fit this into the -local- system and not finds user2 or any of his calendars.

Invitations sent from user1 or from user2 to some other external user work fine and those replies are interpreted correctly as accepted invitations.

Can anyone shed some light on this issue?

Additional Information

{
NSGlobalDomain = {
};
sogod = {
NGUseUTF8AsURLEncoding = YES;
OCSFolderInfoURL = "postgresql://sogo:sogo@localhost:5432/sogo/sogo_folder_info";
SOGoACLsSendEMailNotifications = YES;
SOGoAppointmentSendEMailNotifications = YES;
SOGoAuthentificationMethod = LDAP;
SOGoDefaultLanguage = English;
SOGoDefaultMailDomain = <>;
SOGoDraftsFolderName = Drafts;
SOGoFallbackIMAP4Server = <>;
SOGoFoldersSendEMailNotifications = YES;
SOGoLDAPSources = (
{
CNFieldName = cn;
IDFieldName = uid;
UIDFieldName = <>;
baseDN = <>;
bindDN = <>;
bindPassword = <>;
bindFields = <>;
canAuthenticate = YES;
displayName = "Shared Addresses";
hostname = <>;
encryption = SSL;
id = shared;
isAddressBook = YES;
port = 636;
filter = "(objectClass=<>)";
}
);
SOGoMailingMechanism = smtp;
SOGoOtherUsersFolderName = "Other Users";
SOGoProfileURL = "postgresql://sogo:sogo@localhost:5432/sogo/sogo_user_profile";
SOGoSMTPServer = <>;
SOGoSentFolderName = Sent;
SOGoServerTimeZone = Europe/Stockholm;
SOGoSharedFolderName = "Shared Folders";
SOGoThrashFolderName = Trash;
WOApplicationRedirectURL = <>;
WOMessageUseUTF8 = YES;
WOParsersUseUTF8 = YES;
WOPort = 20000;
WOUseRelativeURLs = NO;
WOHttpAllowHost = (
<>
);

};
}

TagsNo tags attached.

Activities

wsourdeau

wsourdeau

2010-04-07 11:06

viewer   ~0000881

This is fixed by commit fa3da496f8fda4380291c10cbb009ed34be0c475.

Issue History

Date Modified Username Field Change
2010-01-26 05:42 Altrusoft New Issue
2010-02-15 11:46 wsourdeau Target Version => 1.2.1
2010-02-19 11:56 wsourdeau Target Version 1.2.1 =>
2010-02-23 09:10 ludovic Target Version => 1.2.2
2010-03-19 14:25 ludovic Status new => assigned
2010-03-19 14:25 ludovic Assigned To => ludovic
2010-04-07 10:40 wsourdeau Assigned To ludovic => wsourdeau
2010-04-07 11:06 wsourdeau Note Added: 0000881
2010-04-07 11:06 wsourdeau Status assigned => resolved
2010-04-07 11:06 wsourdeau Fixed in Version => 1.2.2
2010-04-07 11:06 wsourdeau Resolution open => fixed